Create an identity verification attempt
Beta
Create an identity verification attempt.If you've already created an attempt for this verification, the verification status must be one of the following:
createdpendingcapture_in_progressretry_required
If you create a new attempt while the status is any other value, you receive a 409 Conflict response.
Path Parameters
- Type: string ·identity
_verification _id Pattern: ^idv_\w+$read-onlyrequiredThe identity verification's unique identifier.
Body·
application/json
- Type: string Format: uriredirect
_url requiredThe URL to redirect the applicant to after the attempt.
- Type: object ·phone
_number The applicant's mobile phone number, if sharing the attempt URL via SMS.
- Type: object ·client
_information The applicant's details.
Responses
- application/json
- 404
Not Found
- 409
Conflict
- 500
Internal Server Error
Request Example for post/identity-verifications/{identity_verification_id}/attempts
curl https://identity-verification.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we/attempts \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"redirect_url": "https://myweb.site?query-param=hello"
}'
{
"id": "iatp_tkoi5db4hryu5cei5vwoabrPoQ",
"created_on": {},
"modified_on": {},
"phone_number": {
"country_code": "+1",
"number": "5555550102"
},
"client_information": {
"pre_selected_residence_country": "FR",
"pre_selected_document_issuing_country": "FR",
"pre_selected_document_type": "ID",
"pre_selected_language": "en-US"
},
"applicant_session_information": {
"ip_address": "123.123.123.01"
},
"redirect_url": "https://myweb.site?query-param=hello",
"status": "pending_redirection",
"response_codes": [],
"_links": {
"verification_url": {
"href": "https://idv.checkout.com/4hryu5cei5/"
},
"self": {
"href": "https://identity-verification.sandbox.checkout.com/identity-verifications/idv_01j58p8rw1hvterhqt66xn6js2/attempts/iatp_tkoi5db4hryu5cei5vwoabrPoQ"
}
}
}